# This Makefile.PL for XML-Rabbit was generated by
# inc::MyMakeMaker <self>
# and Dist::Zilla::Plugin::MakeMaker::Awesome 0.20.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use 5.008;

use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Consume XML with Moose and xpath queries",
  "AUTHOR" => "Robin Smidsr\x{f8}d <robin\@smidsrod.no>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30",
    "XML::LibXML" => "1.70"
  },
  "DISTNAME" => "XML-Rabbit",
  "EXE_FILES" => [
    "bin/xpath_extract",
    "bin/dump_xml_structure"
  ],
  "LICENSE" => "perl",
  "NAME" => "XML::Rabbit",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Class::Load" => 0,
    "Encode" => 0,
    "Moose" => "0.89",
    "Moose::Exporter" => 0,
    "Moose::Role" => 0,
    "Moose::Util::TypeConstraints" => 0,
    "MooseX::Role::Parameterized" => 0,
    "Perl6::Junction" => 0,
    "Scalar::Util" => 0,
    "XML::LibXML" => "1.70",
    "namespace::autoclean" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Test::Exception" => 0,
    "Test::More" => 0,
    "lib" => 0,
    "utf8" => 0
  },
  "VERSION" => "0.4.1",
  "test" => {
    "TESTS" => "t/*.t t/regression/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Class::Load" => 0,
  "Encode" => 0,
  "Moose" => "0.89",
  "Moose::Exporter" => 0,
  "Moose::Role" => 0,
  "Moose::Util::TypeConstraints" => 0,
  "MooseX::Role::Parameterized" => 0,
  "Perl6::Junction" => 0,
  "Scalar::Util" => 0,
  "Test::Exception" => 0,
  "Test::More" => 0,
  "XML::LibXML" => "1.70",
  "lib" => 0,
  "namespace::autoclean" => 0,
  "strict" => 0,
  "utf8" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

exit 0 if incompatible_libxml_version_found();

WriteMakefile(%WriteMakefileArgs);



sub incompatible_libxml_version_found {
    use XML::LibXML 1.70;
    my $v = XML::LibXML::LIBXML_RUNTIME_VERSION;
    return 1 if $v == 20616; # http://www.cpantesters.org/cpan/report/07429432-b19f-3f77-b713-d32bba55d77f
    return 0;
}